Get an incident user-defined field

Note: This endpoint is in preview and is subject to change. If you have any feedback, contact Datadog support.

GET https://api.ap1.datadoghq.com/api/v2/incidents/config/user-defined-fields/{field_id}https://api.ap2.datadoghq.com/api/v2/incidents/config/user-defined-fields/{field_id}https://api.datadoghq.eu/api/v2/incidents/config/user-defined-fields/{field_id}https://api.ddog-gov.com/api/v2/incidents/config/user-defined-fields/{field_id}https://api.us2.ddog-gov.com/api/v2/incidents/config/user-defined-fields/{field_id}https://api.datadoghq.com/api/v2/incidents/config/user-defined-fields/{field_id}https://api.us3.datadoghq.com/api/v2/incidents/config/user-defined-fields/{field_id}https://api.us5.datadoghq.com/api/v2/incidents/config/user-defined-fields/{field_id}

Overview

Get details of an incident user-defined field. This endpoint requires the incident_read permission.

OAuth apps require the incident_read authorization scope to access this endpoint.

Arguments

Path Parameters

Name

Type

Description

field_id [required]

string

The ID of the incident user-defined field.

Query Strings

Name

Type

Description

include

string

Comma-separated list of related resources to include. Supported values are “last_modified_by_user”, “created_by_user”, and “incident_type”.

Response

OK

Response containing a single incident user-defined field.

Expand All

Field

Type

Description

data [required]

object

Data object for an incident user-defined field response.

attributes [required]

object

Attributes of an incident user-defined field.

attached_to [required]

string

The resource type this field is attached to. Always "incidents".

category [required]

enum

The section in which the field appears: "what_happened" or "why_it_happened". When null, the field appears in the Attributes section. Allowed enum values: what_happened,why_it_happened

collected [required]

enum

The lifecycle stage at which the app prompts users to fill out this field. Cannot be set on required fields. Allowed enum values: active,stable,resolved,completed

created [required]

date-time

Timestamp when the field was created.

default_value [required]

string

The default value for the field.

deleted [required]

date-time

Timestamp when the field was soft-deleted, or null if not deleted.

display_name [required]

string

The human-readable name shown in the UI.

metadata [required]

object

Metadata for autocomplete-type user-defined fields, describing how to populate autocomplete options.

category [required]

string

The category of the autocomplete source.

search_limit_param [required]

string

The query parameter used to limit the number of autocomplete results.

search_params [required]

object

Additional query parameters to include in the search URL.

search_query_param [required]

string

The query parameter used to pass typed input to the search URL.

search_result_path [required]

string

The JSON path to the results in the response body.

search_url [required]

string

The URL used to populate autocomplete options.

modified [required]

date-time

Timestamp when the field was last modified.

name [required]

string

The unique identifier of the field.

ordinal [required]

string

A decimal string representing the field's display order in the UI.

prerequisite [required]

string

Reserved for future use. Always null.

required [required]

boolean

When true, users must fill out this field on incidents.

reserved [required]

boolean

When true, this field is reserved for system use and cannot be deleted.

table_id [required]

int64

Reserved for internal use. Always 0.

tag_key [required]

string

For metric tag-type fields only, the metric tag key that powers the autocomplete options.

type [required]

int32

The data type of the field. 1=dropdown, 2=multiselect, 3=textbox, 4=textarray, 5=metrictag, 6=autocomplete, 7=number, 8=datetime.

valid_values [required]

[object]

The list of allowed values for dropdown, multiselect, and autocomplete fields.

description

string

A detailed description of the valid value.

display_name [required]

string

The human-readable display name for this value.

short_description

string

A short description of the valid value.

value [required]

string

The identifier that is stored when this option is selected.

id [required]

string

The unique identifier of the user-defined field.

relationships [required]

object

Relationships of an incident user-defined field.

created_by_user [required]

object

Relationship to user.

data [required]

object

Relationship to user object.

id [required]

string

A unique identifier that represents the user.

type [required]

enum

Users resource type. Allowed enum values: users

default: users

incident_type [required]

object

Relationship to an incident type.

data [required]

object

Relationship to incident type object.

id [required]

string

The incident type's ID.

type [required]

enum

Incident type resource type. Allowed enum values: incident_types

default: incident_types

last_modified_by_user [required]

object

Relationship to user.

data [required]

object

Relationship to user object.

id [required]

string

A unique identifier that represents the user.

type [required]

enum

Users resource type. Allowed enum values: users

default: users

type [required]

enum

The incident user defined fields type. Allowed enum values: user_defined_field

{
  "data": {
    "attributes": {
      "attached_to": "incidents",
      "category": "what_happened",
      "collected": "active",
      "created": "2026-03-18T08:40:05.185406Z",
      "default_value": "critical",
      "deleted": null,
      "display_name": "Root Cause",
      "metadata": {
        "category": "teams_and_services",
        "search_limit_param": "page[size]",
        "search_params": {},
        "search_query_param": "filter",
        "search_result_path": "$.data[*].attributes.name",
        "search_url": "/api/v2/incidents/config/services"
      },
      "modified": "2026-03-18T08:40:05.185406Z",
      "name": "root_cause",
      "ordinal": "1.5",
      "prerequisite": null,
      "required": false,
      "reserved": false,
      "table_id": 0,
      "tag_key": null,
      "type": 3,
      "valid_values": [
        {
          "description": "A critical severity incident.",
          "display_name": "Critical",
          "short_description": "Critical",
          "value": "critical"
        }
      ]
    },
    "id": "00000000-0000-0000-0000-000000000000",
    "relationships": {
      "created_by_user": {
        "data": {
          "id": "00000000-0000-0000-2345-000000000000",
          "type": "users"
        }
      },
      "incident_type": {
        "data": {
          "id": "00000000-0000-0000-0000-000000000000",
          "type": "incident_types"
        }
      },
      "last_modified_by_user": {
        "data": {
          "id": "00000000-0000-0000-2345-000000000000",
          "type": "users"
        }
      }
    },
    "type": "user_defined_field"
  }
}

Unauthorized

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Forbidden

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Not Found

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Too many requests

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Code Example

                  # Path parameters
export field_id="00000000-0000-0000-0000-000000000000"
# Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/incidents/config/user-defined-fields/${field_id}" \ -H "Accept: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"
"""
Get an incident user-defined field returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.incidents_api import IncidentsApi

configuration = Configuration()
configuration.unstable_operations["get_incident_user_defined_field"] = True
with ApiClient(configuration) as api_client:
    api_instance = IncidentsApi(api_client)
    response = api_instance.get_incident_user_defined_field(
        field_id="00000000-0000-0000-0000-000000000000",
    )

    print(response)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
# Get an incident user-defined field returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.get_incident_user_defined_field".to_sym] = true
end
api_instance = DatadogAPIClient::V2::IncidentsAPI.new
p api_instance.get_incident_user_defined_field("00000000-0000-0000-0000-000000000000")

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
// Get an incident user-defined field returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.GetIncidentUserDefinedField", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewIncidentsApi(apiClient)
	resp, r, err := api.GetIncidentUserDefinedField(ctx, "00000000-0000-0000-0000-000000000000", *datadogV2.NewGetIncidentUserDefinedFieldOptionalParameters())

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `IncidentsApi.GetIncidentUserDefinedField`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `IncidentsApi.GetIncidentUserDefinedField`:\n%s\n", responseContent)
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
// Get an incident user-defined field returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.IncidentsApi;
import com.datadog.api.client.v2.model.IncidentUserDefinedFieldResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.getIncidentUserDefinedField", true);
    IncidentsApi apiInstance = new IncidentsApi(defaultClient);

    try {
      IncidentUserDefinedFieldResponse result =
          apiInstance.getIncidentUserDefinedField("00000000-0000-0000-0000-000000000000");
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling IncidentsApi#getIncidentUserDefinedField");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
// Get an incident user-defined field returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_incidents::GetIncidentUserDefinedFieldOptionalParams;
use datadog_api_client::datadogV2::api_incidents::IncidentsAPI;

#[tokio::main]
async fn main() {
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.GetIncidentUserDefinedField", true);
    let api = IncidentsAPI::with_config(configuration);
    let resp = api
        .get_incident_user_defined_field(
            "00000000-0000-0000-0000-000000000000".to_string(),
            GetIncidentUserDefinedFieldOptionalParams::default(),
        )
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
/**
 * Get an incident user-defined field returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.getIncidentUserDefinedField"] = true;
const apiInstance = new v2.IncidentsApi(configuration);

const params: v2.IncidentsApiGetIncidentUserDefinedFieldRequest = {
  fieldId: "00000000-0000-0000-0000-000000000000",
};

apiInstance
  .getIncidentUserDefinedField(params)
  .then((data: v2.IncidentUserDefinedFieldResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"